using TerminalUserInterfaces
const TUI = TerminalUserInterfaces
using REPL
using InteractiveUtils

@kwdef mutable struct Model
  quit = false
  counter = 1
  max_count = 1000
end

function TUI.view(m::Model)
  b = TUI.Block(; border = TUI.BorderAll)
  pg = TUI.ProgressBar(b, m.counter / m.max_count)
  pg
end

function TUI.update!(m::Model, evt)
  m.counter += 1
  if m.counter >= m.max_count
    m.quit = true
  end
end

function main(max_count)
  TUI.app(Model(; max_count))
end

main(100)
